> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve pending card authorizations

> Retrieve pending card authorizations.
Note: this endpoint is not paginated



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/card_accounts/{cardAccountID}/authorizations
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/authorizations:
    get:
      tags:
        - Cards
      summary: Retrieve pending card authorizations
      description: |-
        Retrieve pending card authorizations.
        Note: this endpoint is not paginated
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
        - $ref: '#/components/parameters/CardAuthorizationLimitParameter'
        - $ref: '#/components/parameters/StartingTimeParameter'
        - $ref: '#/components/parameters/EndingTimeParameter'
        - $ref: '#/components/parameters/CardAuthorizationStatusParameter'
      responses:
        '200':
          description: Pending card authorizations
          content:
            application/json:
              schema:
                title: List of pending card authorizations
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of card authorizations returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/CardAuthorization'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAuthorizationLimitParameter:
      in: query
      name: limit
      schema:
        type: integer
      description: >-
        The number of pending card authorizations to return, with a max of 200.
        The default is 100
    StartingTimeParameter:
      in: query
      name: starting_time
      required: false
      schema:
        type: string
      description: The starting time in ISO8601 format. Default is 50 days ago.
    EndingTimeParameter:
      in: query
      name: ending_time
      required: false
      schema:
        type: string
      description: The exclusive ending time in ISO8601 format. Default is now.
    CardAuthorizationStatusParameter:
      in: query
      name: status
      required: false
      schema:
        type: string
        enum:
          - approved
          - denied
      style: form
      description: >-
        A status to filter the authorizations by. If not provided, will default
        to `approved`.
  schemas:
    CardAuthorization:
      description: A pending card authorization
      required:
        - id
        - amount
        - currency
        - merchant_category_code
        - description
        - authorized_at
        - details
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: ID of the pending authorization
        amount:
          type: string
          description: The amount represented as a decimal string
        billing_amount:
          type: string
          description: >-
            The billing amount, represented as a decimal string. The billing
            amount is the amount of the transaction excluding any additional
            hold. This amount should be present on all purchases, but will only
            differ from the amount field for some merchant categories in which
            an upcharge is involved (e.g. gas stations, hotels).
        currency:
          $ref: '#/components/schemas/FiatCurrency'
          description: The currency of the transaction
        merchant_category_code:
          type: string
          description: A merchant category code for card transactions (e.g., '5712')
        description:
          type: string
          description: >-
            A description of the card transaction, including the merchant's name
            and location information
        authorized_at:
          type: string
          description: >-
            Timestamp when the card transaction was authorized, in ISO8601
            format
        details:
          properties:
            vendor_auth_id:
              type: string
              description: >-
                ID in the vendor system used to identify this authorized card
                transaction
        local_transaction_details:
          $ref: '#/components/schemas/CardLocalTransactionDetails'
        verification_data:
          $ref: '#/components/schemas/CardAuthorizationVerificationData'
        stripe_issuing_authorization_id:
          type: string
          nullable: true
          description: >-
            The [Stripe Issuing authorization
            ID](https://docs.stripe.com/api/issuing/authorizations/object#issuing_authorization_object-id),
            if the authorization is backed by Stripe Issuing
        stripe_authorization_code:
          type: string
          nullable: true
          description: >-
            The network-assigned [authorization
            code](https://docs.corp.stripe.com/api/issuing/authorizations/object#issuing_authorization_object-request_history-authorization_code)
            for this request, if the authorization is backed by Stripe Issuing
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    FiatCurrency:
      type: string
      enum:
        - usd
    CardLocalTransactionDetails:
      description: >-
        Details of a transaction processed in a local currency other than USD,
        with currency conversion applied
      required:
        - amount
        - currency
        - exchange_rate
      properties:
        amount:
          type: string
          description: The amount in local currency, represented as a decimal string
        currency:
          type: string
          description: The transaction's local currency
        exchange_rate:
          type: string
          description: >-
            The exchange rate applied to convert the local currency amount into
            USD for the transaction
    CardAuthorizationVerificationData:
      description: >-
        Information on verifications that were performed on information that the
        cardholder provided to the merchant.
      type: object
      properties:
        address_check:
          type: string
          description: >-
            Whether the cardholder provided an address and if it matched the
            cardholder’s address on file.
          enum:
            - match
            - not_provided
            - mismatch
        address_postal_code_check:
          type: string
          description: >-
            Whether the cardholder provided a postal code and if it matched the
            cardholder’s postal code on file.
          enum:
            - match
            - not_provided
            - mismatch
        cvv_check:
          type: string
          description: >-
            Whether the cardholder provided a CVV and if it matched the CVV on
            record.
          enum:
            - match
            - not_provided
            - mismatch
        pin_check:
          type: string
          description: >-
            Whether the cardholder provided a PIN and if it matched the PIN on
            record.
          enum:
            - verified
            - failed
            - locked
            - not_set
            - blocked
            - no_pin_passed
            - unknown
        three_d_secure_check:
          type: string
          description: >-
            The results of the 3DS authentication attempt for this
            authorization, if applicable.
          enum:
            - attempt_acknowledged
            - authenticated
            - failed
            - required
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````